"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var factory_1 = require("./factory");
var sl_js_infra_1 = require("sl-js-infra");
try {
    var configLoader = new sl_js_infra_1.SlJsInfra.ConfigLoader();
    var agentCfg = global["agentCfg"];
    if (!agentCfg)
        agentCfg = configLoader.loadAgentConfiguration(null);
    var factory = new factory_1.NodeAgentFactory(agentCfg);
    var agent = factory.getCreateNodeJsAgent();
    agent.start();
}
catch (err) {
    console.error("Error starting Sealights agent:" + err.stack);
}
//# sourceMappingURL=bootstrap.js.map