"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var EntitiesMapper = /** @class */ (function () {
    function EntitiesMapper() {
    }
    EntitiesMapper.prototype.toIStartExecutionRequest = function (agentConfig, testphase) {
        var result = {
            appName: agentConfig.appName.value,
            customerId: agentConfig.customerId.value,
            server: agentConfig.server.value,
            proxy: agentConfig.proxy.value,
            labId: (agentConfig.labId.value || agentConfig.environmentName.value || agentConfig.appName.value),
            buildName: agentConfig.build.value,
            branchName: agentConfig.branch.value,
            isValidToken: (agentConfig.token.hasValue || agentConfig.tokenFile.hasValue),
            testStage: testphase
        };
        return result;
    };
    EntitiesMapper.prototype.toIEndExecutionRequest = function (agentConfig) {
        var result = {
            appName: agentConfig.appName.value,
            customerId: agentConfig.customerId.value,
            server: agentConfig.server.value,
            proxy: agentConfig.proxy.value,
            labId: agentConfig.labId.value,
            build: agentConfig.build.value,
            branch: agentConfig.branch.value,
            isValidToken: (agentConfig.token.hasValue || agentConfig.tokenFile.hasValue)
        };
        return result;
    };
    EntitiesMapper.prototype.toIUploadReportRequest = function (agentConfig) {
        var result = {
            appName: agentConfig.appName.value,
            customerId: agentConfig.customerId.value,
            server: agentConfig.server.value,
            proxy: agentConfig.proxy.value,
            labId: agentConfig.labId.value,
            build: agentConfig.build.value,
            branch: agentConfig.branch.value,
            isValidToken: (agentConfig.token.hasValue || agentConfig.tokenFile.hasValue)
        };
        return result;
    };
    return EntitiesMapper;
}());
exports.EntitiesMapper = EntitiesMapper;
//# sourceMappingURL=entities-mapper.js.map