"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var base_proxy_1 = require("../base-proxy");
var version = require("../../../package.json").version;
var ConfigServiceProxy = /** @class */ (function (_super) {
    __extends(ConfigServiceProxy, _super);
    function ConfigServiceProxy(cfg, request, logger) {
        return _super.call(this, cfg, request, logger) || this;
    }
    ConfigServiceProxy.prototype.getConfigurationFromServer = function (callback) {
        var relUrl = "/" + ["v2", "config", this.cfg.customerId.value, this.cfg.appName.value, this.cfg.branch.value, this.cfg.testStage.value, "nodejs-agent", version].map(encodeURIComponent).join("/");
        this.logger.info("Getting configuration from server at " + relUrl);
        this.get(relUrl, callback);
    };
    return ConfigServiceProxy;
}(base_proxy_1.BaseProxy));
exports.ConfigServiceProxy = ConfigServiceProxy;
//# sourceMappingURL=config-service-proxy.js.map